Bug 176233 - Crash at startup in anjuta_encoding_get_encodings()
Summary: Crash at startup in anjuta_encoding_get_encodings()
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anjuta   
(Show other bugs)
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul F. Johnson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE5Target
TreeView+ depends on / blocked
 
Reported: 2005-12-20 13:34 UTC by Soni
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-04 10:39:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Soni 2005-12-20 13:34:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr-FR; rv:1.8) Gecko/20051216 Fedora/1.5-3 Firefox/1.5

Description of problem:
The anjuta IDE crashes at startup. 

Version-Release number of selected component (if applicable):
anjuta-1.2.3-3.fc5

How reproducible:
Always

Steps to Reproduce:
1. Simply start anjuta 

Actual Results:  A dialog popup informs you that the application has crashed

Expected Results:  Start Anjuta IDE

Additional info:

Backtrace:
(gdb) bt
#0  0x0809d276 in anjuta_encoding_get_encodings ()
#1  0x00a144f8 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#2  0x00a07c9a in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#3  0x00a18bb8 in g_signal_override_class_closure ()
   from /usr/lib/libgobject-2.0.so.0
#4  0x00a1a032 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#5  0x00a1a2d7 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#6  0x05c83c5b in gtk_tree_model_sort_new_with_model ()
   from /usr/lib/libgtk-x11-2.0.so.0
#7  0x05c949f5 in gtk_tree_view_set_model () from /usr/lib/libgtk-x11-2.0.so.0
#8  0x0809d899 in anjuta_encodings_init ()
#9  0x0810c6c8 in anjuta_new ()
#10 0x080bed7f in main ()

Comment 1 Paul F. Johnson 2006-03-04 10:39:40 UTC
The version in rawhide has this fixed. I'll see about backporting it to FC4


Note You need to log in before you can comment on or make changes to this bug.